Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Search\Legacy\Content\WordIndexer\Gateway Class Reference

The WordIndexer Gateway abstracts indexing of content full text data. More...

Inheritance diagram for eZ\Publish\Core\Search\Legacy\Content\WordIndexer\Gateway:

## Public Member Functions
| index (FullTextData $fullTextValue)
| Index search engine FullTextData objects corresponding to content object field values. More...
| remove ($contentId, $versionId=null)
| Remove whole content or a specific version from index. More...
| bulkIndex (array $fullTextBulkData)
| Indexes an array of FullTextData objects. More...
| purgeIndex ()
| Remove entire search index. More...

## Detailed Description

The WordIndexer Gateway abstracts indexing of content full text data.

Definition at line 15 of file Search/Legacy/Content/WordIndexer/Gateway.php.

## Member Function Documentation

## ◆ bulkIndex()

eZ\Publish\Core\Search\Legacy\Content\WordIndexer\Gateway::bulkIndex | ( | array | $fullTextBulkData | ) |
| abstract

Indexes an array of FullTextData objects.

Parameters

  \eZ\Publish\Core\Search\Legacy\Content\FullTextData[] | $fullTextBulkData |

Reimplemented in eZ\Publish\Core\Search\Legacy\Content\WordIndexer\Gateway\DoctrineDatabase.

## ◆ index()

eZ\Publish\Core\Search\Legacy\Content\WordIndexer\Gateway::index | ( | FullTextData | $fullTextValue | ) |
| abstract

Index search engine FullTextData objects corresponding to content object field values.

Parameters

  \eZ\Publish\Core\Search\Legacy\Content\FullTextData | $fullTextValue |

Referenced by eZ\Publish\Core\Search\Legacy\Content\WordIndexer\Gateway\DoctrineDatabase\bulkIndex().

## ◆ purgeIndex()

eZ\Publish\Core\Search\Legacy\Content\WordIndexer\Gateway::purgeIndex | ( |  | ) |
| abstract

Remove entire search index.

Reimplemented in eZ\Publish\Core\Search\Legacy\Content\WordIndexer\Gateway\DoctrineDatabase.

## ◆ remove()

eZ\Publish\Core\Search\Legacy\Content\WordIndexer\Gateway::remove | ( |  | $contentId,
|  |  | $versionId = `null`
| ) |  |
| abstract

Remove whole content or a specific version from index.

Parameters

  mixed | $contentId |
  mixed | null | $versionId |

Reimplemented in eZ\Publish\Core\Search\Legacy\Content\WordIndexer\Gateway\DoctrineDatabase.

The documentation for this class was generated from the following file:

- Search/Legacy/Content/WordIndexer/Gateway.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.